image: atlassian/default-image:2
pipelines:
  branches:
   pre-master:
    - step:
       name: Deploy Aggregator to QA Server
       deployment: aggregator
       script:
         - pipe: atlassian/ssh-run:0.2.2
           variables:
             SSH_USER: 'emre'
             SERVER: '46.4.13.117 -A'
             COMMAND: './deployAggregator.sh'
             PORT: 5024
    - step:
       name: Deploy Atomo to QA Server
       deployment: atomo
       script:
         - pipe: atlassian/ssh-run:0.2.2
           variables:
             SSH_USER: 'emre'
             SERVER: '46.4.13.117 -A'
             COMMAND: './deployAtomo.sh'
             PORT: 5024
    - step:
        name: Deploy Betfair to QA Server
        deployment: aggregator_betfair
        script:
          - pipe: atlassian/ssh-run:0.2.2
            variables:
              SSH_USER: 'emre'
              SERVER: '46.4.13.117 -A'
              COMMAND: './deployBetfair.sh'
              PORT: 5024
